% lookskin1.m
% loads spectrum --> nm, Mskin, Mstd, R
%
% M = (S T G D)/(S Tstd Gstd D) 
%   = T/Tstd*G/Gstd = T * constant

figure(1); clf
set(figure(1),'position',[31    42   580   755],'color','w')
sz = 18;

dinm = 3;

%%%%% Fig 1.1
subplot(2,1,1)
name = 'skin1';
skindata = getSpectrum(name);
nm = skindata(:,1);
Mskin = skindata(:,2);
i=1; while nm(i)<400; i=i+1; end; i400 = i;
while nm(i)<900; i=i+1; end; i900 = i;
base = mean(Mskin(10:100));
Mskin = Mskin - base;
plot(nm, Mskin,'r-','linewidth',2)
hold on
%
name = 'std1';
stddata = getSpectrum(name);
Mstd = stddata(:,2)*4;  
% the factor 3 boosts the stddata, just so Mstd looks
% bigger than Mskin. If fiber was held closer to standard
% during acquisition of stddata, this would not be necessary.
base = mean(Mstd(10:100));
Mstd = Mstd - base;
plot(nm, Mstd,'b-','linewidth',2)
plot([400 1000], [0 0],'k--','linewidth',2)

set(gca,'fontsize',sz,'linewidth',2)
xlabel('wavelength [nm]')
ylabel('M')
ymax = 1.1*max(Mstd);
text(450,ymax*0.90,'Measurements','fontsize',sz)
axis([400 900 -100 ymax])
legend('M_s_k_i_n','M_s_t_d',1)


%%%%% Fig 1.2
subplot(2,1,2)
M = Mskin./Mstd;
plot(nm, M,'r-','linewidth',2)
set(gca,'fontsize',sz,'linewidth',2)
xlabel('wavelength [nm]')
ylabel('M = M_s_k_i_n / M_s_t_d')
ymax = 1.2;
text(459, ymax*0.9,'Reflectance signal','fontsize',sz)
axis([400 900 0 ymax])

